# Class ActivationMeta

java.lang.Object
uk.ac.starlink.topcat.activate.ActivationMeta

public abstract class ActivationMeta extends Object
Additional information about the way a row activation request should be carried out.

Since:
  23 Jan 2018
Author:
  Mark Taylor

## Field Summary

Fields
Modifier and Type
Field
Description
`static ActivationMeta`
`INHIBIT_SEND`
Instance with isInhibitSend set to true.
`static ActivationMeta`
`NORMAL`
Normal instance.

## Constructor Summary

Constructors
Constructor
Description
`ActivationMeta()`

## Method Summary

Modifier and Type
Method
Description
`abstract boolean`
`isInhibitSend()`
Indicates whether sending messages to external applications should be prevented.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### NORMAL

public static ActivationMeta NORMAL
Normal instance.

### INHIBIT_SEND

public static ActivationMeta INHIBIT_SEND
Instance with isInhibitSend set to true.

## Constructor Details

### ActivationMeta

public ActivationMeta()

## Method Details

### isInhibitSend

public abstract boolean isInhibitSend()
Indicates whether sending messages to external applications should be prevented. This is sometimes necessary to prevent loops in which multiple applications play ping pong with row highlight messages.

Returns:
  true if sending row highlight messages to external applications should be inhibited